Bug 101121 - Formatting a merged cell with Merge and Center does a split operation
Summary: Formatting a merged cell with Merge and Center does a split operation
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.6.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2016-07-25 18:21 UTC by Heinrich Hartl
Modified: 2019-02-20 11:50 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test case and instructions for reproduction (12.87 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-07-25 18:21 UTC, Heinrich Hartl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heinrich Hartl 2016-07-25 18:21:07 UTC
Created attachment 126405 [details]
test case and instructions for reproduction

a merged cell should not be merged again (see manual). Unfortunately Format / Merge Cells / Merge and Center Cells is not made unavailable and greyed for a merged cell. If that command option is chosen it does split the cell...
Comment 1 Buovjaga 2016-08-01 19:11:03 UTC
Reproduced with test case.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: c1b665fcdacd4141137f1e369527e2c0d94513ae
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on July 26th 2016
Comment 2 Heinrich Hartl 2018-02-15 11:58:49 UTC
Comment on attachment 126405 [details]
test case and instructions for reproduction

I tested Bug-xxx_Merge-and-Center_does-split.ods again with
Version: 5.3.7.2 (x64)
Build-ID: 6b8ed514a9f8b44d37a1b96673cbbdd077e24059
CPU-Threads: 4; BS-Version: Windows 6.1; UI-Render: Standard; Layout-Engine: neu; 
Gebietsschema: de-DE (de_DE); Calc: group

The misbehaviour still exists
Comment 3 Buovjaga 2018-02-15 12:39:20 UTC
It's good that you re-test, but version 6.0.1 would have been more appropriate.
Comment 4 Xavier Van Wijmeersch 2018-02-15 18:42:00 UTC
still reproduced with

Version: 6.1.0.0.alpha0+
Build ID: 89e9f4984d0dfbc2b69a04e59abc1a3a5d69a0c1
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group
fresh homebuild
Comment 5 QA Administrators 2019-02-16 03:42:34 UTC Comment hidden (obsolete)
Comment 6 Heinrich Hartl 2019-02-16 15:05:10 UTC
Problem still exists
Tested with Version: 6.1.3.2 (x64)
Comment 7 Heinrich Hartl 2019-02-20 11:50:31 UTC
The functionality that is done here actually is doing what is requested in https://bugs.documentfoundation.org/show_bug.cgi?id=101123 for merged cells in a writer table. Merge cell is reversed! Probably the first menu item just should be deleted. Split functionility is available in the last menu item.